@import "libs/shared/assets/src/global-style/variable";
@import "libs/shared/assets/src/global-style/scroll-tabs";


nz-card {
  margin-top: 1em;
  border-radius: 10px;

  h3 {
    font-weight: 700;
    padding-bottom: 10px;
  }

  // em {
  //   margin-left: 10%;
  //   font-size: 20px;
  //   cursor: pointer;
  // }

  input,
  nz-date-picker {
    border-radius: 8px;
    height: 42px;
  }

  .subHeader-title {
    text-align: center;
  }
}

.emp-infoTitle {
  color: $label-color;
  font-size: 14px;
  font-family: avertaB, sans-serif;
}

.emp-info {
  border: none;
  width: 100%;
  height: 42px;
  padding: 0;
  padding-bottom: 10px;
  background-color: $white-color;
  color: $text-hover;
  margin-top: 8px;
  font-weight: 900;
}

.headerCard {
  &__radio {
    padding-top: 3%;
  }

  &__radioRight {
    margin-left: 4em;
  }
}

.rotationForm {
  &__selected {
    width: 50px;
  }
  &__unit {
    width: 150px;
  }
  &__formName {
    width: 500px;
  }
  &__contentRotation {
    width: 620px;
  }
  .selectUnit {
    width: 358.94px;
  }
}

.ideaAppove {
  margin-top: 6px;
  border-radius: 8px;
}

.resultJobCard,
.listTransfer {
  &__newLine {
    text-align: center;
    font-size: 16px;
  }
}

.star {
  color: $red-color;
}

.resultJobCard {
  &__STT {
    width: 80px;
  }
  &__targetAssigned {
    width: 180px;
  }
  &__density {
    width: 160px;
  }
  &__plan,
  &__action {
    width: 350px;
  }
  &__mark {
    width: 100px;
  }
  &__dots {
    width: 50px;
  }
  &__calendar {
    font-size: 15px;
    margin-right: 8px;
  }
  &__total {
    font-weight: 600;
    color: $color-text-header;
  }
}

.alternativeCard {
  &__radioGr {
    float: right;
  }
  &__radio {
    width: 50px;
  }
  &__choose {
    width: 185px;
  }
  &__estimatedDate {
    width: 185px;
  }
  &__replaceName {
    width: 700px;
  }
  &__action {
    width: 80px;
  }

  &__layoutPlan {
    width: 500px;
  }

}

.commentCard {
  textarea {
    margin-top: 10px;
    border-radius: 8px;
  }
  &__tag {
    float: right;
    width: auto;
    padding: 6px;
  }
  .violations {
    padding: 0;
    margin-top: 8px;
  }
}

.title-section {
  color: $label-color;
  font-size: 14px;
  font-family: avertaB, sans-serif;
}

.star {
  color: $red-color;
}

.reportCard {
  margin-top: 1em;
  // &__uploadBtn {
  //   margin-top: 1%;
  //   height: 42px;
  //   margin-left: 0px;
  //   border-radius: 8px;
  // }
  // &__printDecision {
  //   float: right;
  //   margin: right;
  // }
}

.listTransfer {
  &__currentHeader {
    width: 10%;
  }

  &__proposeHeader {
    width: 9%;
  }

  &__editHeader {
    width: 6%;
  }

  &__inputGroup {
    height: 42px;
    border-radius: 8px;

    input {
      height: 30px;
    }
  }
}

.rotationTable {
  &__titleCol {
    width: 335px;
  }

  &__endDate {
    float: right;
  }

  &__text {
    width: 80%;
    float: left;
    margin-top: 8px;
  }

  &__durationTime {
    width: 20%;
    float: right;
  }

  // margin-bottom: 50px;
}

.labelDateInfoPropose {
  padding-top: 25px !important;
}

nz-input-number {
  border-radius: 8px;
  height: 42px;
  width: 100%;
}

::ng-deep .resultJobCardNumber {
  .ant-input-number-handler-wrap {
    border-bottom-right-radius: 8px;
    border-top-right-radius: 8px;
  }
}

.proposeLog {
  .calendar {
    font-size: 15px;
    margin-left: 0;
  }
  .executedTime {
    margin-left: 10px;
  }
}

.span-disable {
  text-align: center;
}

.switch-title {
  margin-left: 10px;
  margin-top: 3px;
}

.text-center {
  text-align: center;
}

nz-switch {
  cursor: pointer;
  margin-bottom: 10px;
}

::ng-deep .switch {
  .ant-switch-checked {
    background-color: $primary-button-color;
  }
}

.resultJobCard,
.rotationReasonTB,
.rotationTable,
.alternativeTB {
  ::ng-deep {
    .ant-table-thead > tr > th {
      padding: 4px;
    }
  }
}

.topUploadStatement {
  margin-top: 10px !important;
}

.partyDate {
  font-weight: bold;
}

.expandLog {
  display: block;
  border: none;
  color: $black-color;
}

::ng-deep .partyDate {
  .ant-checkbox-disabled.ant-checkbox-checked {
    .ant-checkbox-inner {
      background-color: $bg-primary-default;
      border-color: $bg-primary-default !important;

      &::after {
        border-color: $search-border-color;
      }
    }
  }
  span {
    color: $background-icon-hover;
  }
}

.icon-single {
  margin-left: 5px;
  font-size: 19px;
  cursor: pointer;
}

.reportSectionElement {
  margin-top: 30px;
}

.expand-btn {
  margin-top: 30px;
}

.text-label {
  padding: 0;
  color: $text-hover;
  font-weight: 900;
  width: 100%;
  position: absolute;
  margin-top: 13px;
}

.seeMore {
  margin-top: 40px;
}

.expandInfoEmp {
  margin-top: 20px;
}

.iconLog {
  display: block;
  margin-top: 3px;
  margin-left: 10px;
}

.infoPropose {
  margin-top: 20px !important;
  // margin-bottom: 20px !important;
}

.commentsUnitCharge {
  .ant-table-tbody>tr.ant-table-row:hover>td, .ant-table-tbody>tr>td {
    padding-top: 8px !important;
    padding-bottom: 8px !important;
  }
  // .itemTitleComments {
  //   padding-top: 20px !important;
  //   padding-bottom: 20px !important;
  // }
}

.labelUnit {
  display: block;
}

.checkboxProposedUnit {
  margin-left: 0px;
}

.label__required {
  color: $bg-error-red;
}

.maxIo {
  max-height: 80px;
}
.deleteIconEmployee {
  font-size: 15px;
  margin-left: 10px;
  cursor: pointer;
}

.action-breadcrumb-float-right{
  display: flex;
  position: fixed;
  right: 25px;
  top: 130px;
}

.titleCommentsOfTheUnit {
  display: block;
  float: left;
}

.consultationConfirm {
  margin-top: 30px;
}

.consultationConfirmRadio {
  margin-left: 30px;
}

.header-form {
  padding-bottom: 30px;
}

.approrvedProposals {
  margin-top: 10px;
}
